Update boot image profile generation scripts

The old script is not longer suitable. It is replace by two scripts:
- one that can configure the device to capture boot image profiles
- and the second, which can process the raw boot image profiles
  obtained after running CUJs and transform it to the expected build
  system format.

Note that boot-image-profile-generate.sh should be invoked with
arguments based on the ammount of executed  CUJs and the shape of
profile data. Some defaults are provided but these might not be
the best in all cases.

Test: run the scripts and check the data
Bug: 152574358
Change-Id: Ic814f22591d8861e7224f8deadbcc21427f94333
diff --git a/tools/boot-image-profile-extract-profile.sh b/tools/boot-image-profile-extract-profile.sh
new file mode 100755
index 0000000..e050e36
--- /dev/null
+++ b/tools/boot-image-profile-extract-profile.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (C) 2020 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# This script extracts the boot image profile from a previously configured device,
+# which executed the critical user journyes.
+#
+
+if [[ "$#" -lt 1 ]]; then
+  echo "Usage $0 <output-profile>"
+  echo "Example: $0 android.prof"
+  exit 1
+fi
+
+OUT_PROFILE="$1"
+
+echo "Snapshoting platform profiles"
+adb shell cmd package snapshot-profile android
+adb pull /data/misc/profman/android.prof "$OUT_PROFILE"
\ No newline at end of file